<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="movieTitle"
            type="String" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/movie_item_holder"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_marginEnd="10dp"
        android:background="@drawable/movie_item_background"
        android:elevation="30dp">

        <ImageView
            android:id="@+id/movie_image_view"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:contentDescription="@null"
            android:focusable="false"
            app:layout_constraintHeight_percent="0.7"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="1" />

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.25"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.25" />

        <TextView
            android:id="@+id/movie_title_text_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:gravity="center"
            android:padding="5dp"
            android:text="@{movieTitle}"
            android:textColor="@color/textColorSecondary"
            android:textSize="13sp"
            app:layout_constraintEnd_toEndOf="@id/movie_image_view"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintHeight_percent="0.25"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>